Chapter 16. Db_map_iterator
Prev |  | Next

## Chapter 16. Db_map_iterator

#### Public Members

Member | Description
--- | ---
db_map_iterator | Copy constructor.
~db_map_iterator | Destructor.
operator++ | Pre-increment.
operator-- | Pre-decrement.
operator * | Dereference operator.
operator-> | Arrow operator.
refresh | Refresh iterator cached value.
operator= | Assignment operator.

#### Group

Dbstl Iterator Classes

## db_map_iterator

### Function Details

    db_map_iterator(const db_map_iterator< kdt, ddt,
        value_type_sub > &vi)

Copy constructor.

#### Parameters

##### vi

The other iterator of the same type to initialize this.

    db_map_iterator(const db_map_base_iterator< kdt, realddt,
        ddt > &vi)

Base copy constructor.

#### Parameters

##### vi

Initialize from a base class iterator.

    db_map_iterator(db_container *powner, u_int32_t b_bulk_retrieval=0,
        bool brmw=false, bool directdbget=true,
        bool b_read_only=false)

Constructor.

#### Parameters

##### b_bulk_retrieval

The bulk read buffer size. 0 means bulk read disabled.

##### brmw

Whether set DB_RMW flag in underlying cursor.

##### powner

The container which creates this iterator.

##### directdbget

Whether do direct database get rather than using key/data values cached in the iterator whenever read.

##### b_read_only

Whether open a read only cursor. Only effective when using Berkeley DB Concurrent Data Store.

    db_map_iterator()

Default constructor, dose not create the cursor for now.

### Group: Constructors and destructor

Do not create iterators directly using these constructors, but call db_map::begin or db_multimap_begin to get instances of this class.

db_map::begin() db_multimap::begin()

### Class

db_map_iterator

Prev |  | Next
operator= | Home | ~db_map_iterator